Bug 867829 - dracut do not depend on strip but will by default use it and report an error if it is missing
dracut do not depend on strip but will by default use it and report an error ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 07:46 EDT by Mads Kiilerich
Modified: 2014-02-05 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:15:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2012-10-18 07:46:54 EDT
For instance when creating a live image that doesn't contain binutils the following scary error message will be shown when installing kernels:

E: Could not find 'strip'. You should run /sbin/dracut with '--nostrip'.

There is no simple way to run dracut with --nostrip when composing images.

There is also no (other) reason to ship binutils on a space constrained live image, so making it a dependency would perhaps not be a good solution. But at the same time it would be nice to have the binaries stripped to reduce the initramfs size on live images too.

The default for Fedora could perhaps be changed to not strip binaries. I guess the stripping / debuginfo-separation done by the build process will do that there isn't much left.

I don't know how this could be improved, but I propose changing the message to be a FYI instead of an error, something more in style with "I: Skipping program xxx as it cannot be found and is flagged to be optional".

dracut-024-1.fc18.x86_64
Comment 1 Fedora Update System 2012-10-19 06:08:10 EDT
dracut-024-5.git20121019.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dracut-024-5.git20121019.fc18
Comment 2 Mads Kiilerich 2012-10-19 07:18:22 EDT
For the record:

* Fri Oct 19 2012 Harald Hoyer <harald@redhat.com> 024-5.git20121019
- only 'warn' not 'error', if we don't strip the initramfs

and now it uses
dwarn "Could not find '$p'. Not stripping the initramfs."

Thanks.
Comment 3 Fedora Update System 2012-10-19 11:42:26 EDT
Package dracut-024-5.git20121019.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-024-5.git20121019.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16448/dracut-024-5.git20121019.fc18
then log in and leave karma (feedback).
Comment 4 Karel Volný 2012-12-17 18:36:24 EST
(In reply to comment #3)
> Package dracut-024-5.git20121019.fc18:
> * should fix your issue,

I don't think so, I've just got this error with dracut-024-10.git20121121.fc18
Comment 5 Harald Hoyer 2012-12-19 08:45:22 EST
(In reply to comment #4)
> (In reply to comment #3)
> > Package dracut-024-5.git20121019.fc18:
> > * should fix your issue,
> 
> I don't think so, I've just got this error with
> dracut-024-10.git20121121.fc18

Huh? There is:

-            derror "Could not find '$p'. You should run $0 with '--nostrip'."
+            dwarn "Could not find '$p'. Not stripping the initramfs."

... maybe your kernel was updated prior to dracut in the same transaction.
Comment 6 Karel Volný 2012-12-19 09:43:30 EST
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > Package dracut-024-5.git20121019.fc18:
> > > * should fix your issue,
> > 
> > I don't think so, I've just got this error with
> > dracut-024-10.git20121121.fc18
> 
> Huh? There is:
> 
> -            derror "Could not find '$p'. You should run $0 with
> '--nostrip'."
> +            dwarn "Could not find '$p'. Not stripping the initramfs."
> 
> ... maybe your kernel was updated prior to dracut in the same transaction.

hmmm ... is that possible that I got wrong the point of this report and of the fix?

somehow I thought that we should get rid of the error message completely, e.g. by depending on strip, but obviously this is not the case ...

sorry for the noise; but not closing this yet because a question creeps into my mind - wouldn't be that nice to make this less confusing for a lame user like me, maybe by rephrasing so that it doesn't look like a serious error but rather one of the expected conditions?
Comment 7 Harald Hoyer 2013-05-29 09:47:14 EDT
commit fefd3f66f9802f3309c44f45e4959e5fa6683a07
Comment 8 Fedora End Of Life 2013-12-21 10:38:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 18:15:31 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.